import { useRef, useEffect } from 'react';
import { select, axisLeft } from 'd3';

export const YAxis = ({ yScale, width }) => {
  const ref = useRef();

  useEffect(() => {
    const yAxisG = select(ref.current);
    const yAxis = axisLeft(yScale)
      .tickSize(-width)
    	.tickPadding(15)
    	.ticks(10, "~s")

    yAxisG.call(yAxis);
  }, []);

  return <g ref={ref}></g>;
};
