import React from 'react';
import ReactDOM from 'react-dom';
import { format } from 'd3';

import { VizContainer } from './VizContainer';
import { useData } from './useData';
import { LineChart } from './LineChart';

const width = window.innerWidth;
const height = window.innerHeight;
const margin = { top: 50, right: 30, bottom: 80, left: 80 };
const innerWidth = width - margin.right - margin.left;
const innerHeight = height - margin.top - margin.bottom;

const App = () => {
  const data = useData();
  
    const newData = [
    {
      month: "Jan",
      money_in: "10",
      money_out: "20",
      budget: "200"
    },
    {
      month: "Feb",
      money_in: "100",
      money_out: "200",
      budget: "330"
    },
    {
      month: "Mar",
      money_in: "105",
      money_out: "205",
      budget: "390"
    },
    {
      month: "Apr",
      money_in: "455",
      money_out: "123",
      budget: "500"
    },
    {
      month: "May",
      money_in: "456",
      money_out: "211",
      budget: "330"
    },
    {
      month: "June",
      money_in: "122",
      money_out: "209",
      budget: "360"
    }
  ];

  return (
    <VizContainer
      showMargins={false} // delete this
      width={width}
      height={height}
      margin={margin}
      innerWidth={innerWidth}
      innerHeight={innerHeight}
    >
      {data ? (
        <LineChart
          data={newData}
          width={innerWidth}
          height={innerHeight}
        />
      ) : (
        <div>Loading...</div>
      )}
    </VizContainer>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
